Summary:	Morse Code Training Software
Name:		cutecw
Version:	1.0
Release:	%mkrel 1
License:	GPLv2
Group:		Communications
URL:		http://www.hamtools.org/%{name}/
Source:		http://www.hamtools.org/%{name}/releases/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
# Uses the PREFIX variable instead of assuming /usr or /usr/local
# upstream has applied this in the git repo
Patch1:		%{name}-paths.patch

BuildRequires:	qt4-devel
BuildRequires:	desktop-file-utils

%description
Most Morse code training requires you to learn everything at once
without a training process. This application changes that and
separates training into phases.
The term 'CW' is often incorrectly used to refer to Morse code.
In reality it is the carrier wave mode, commonly used to transmit Morse code. 

%prep
%setup -q 

%patch1 -p1 -b.paths

%build
qmake PREFIX=%{buildroot}%{_usr}
%make

%install
%makeinstall_std

%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
%{__cp} icons/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files 
%doc LICENSE README.org
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/applications/%{name}.desktop


%changelog

* Sat Jan 07 2012 barjac <barjac> 1.0-1.mga2
+ Revision: 192951
- Cleaned with Summary and Description edits
- Desktop file updated
- imported package cutecw


* Sun Mar  6 2011 Wes Hardaker <wjhns174@hardakers.net> - 1.0-1
- Updated to 1.0 upstream

* Mon Feb 14 2011 Wes Hardaker <wjhns174@hardakers.net> - 0.5-1
- Update to 0.5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 12 2011 Wes Hardaker <wjhns174@hardakers.net> - 0.4-3
- made the icons point to the -datadir instead of _iconsdir

* Wed Jan 12 2011 Wes Hardaker <wjhns174@hardakers.net> - 0.4-2
- Added desktop-file-utils to buildreqs for pulling in desktop-file-install

* Mon Jan 10 2011 Wes Hardaker <wjhns174@hardakers.net> - 0.4-1
- Initial Release for Fedora


